Name:           libcacard
Version:        2.8.0
Release:        2
Epoch:          41
Summary:        Common Access Card(CAC) library
License:        LGPLv2+
URL:            https://gitlab.freedesktop.org/spice/libcacard
Source0:        https://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz
Source1:        https://www.spice-space.org/download/libcacard/%{name}-%{version}.tar.xz.asc

Patch6000:      libcacard-2.8.0-32bit.patch

BuildRequires:  gcc glib2-devel nss-devel softhsm opensc 
BuildRequires:  gnutls-utils nss-tools openssl gnupg2
BuildRequires:  meson gcc-c++ pcsc-lite-devel
Conflicts:      qemu-common < 2:2.5.0

%description
This package uses certificates read from NSS and separate pki containers to implement 
DoD CAC standard so that it can provide emulation of smart cards to a virtual card 
reader running in a guest virtual machine.

%package        devel
Summary:        Provide development files for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
This package provides libraries and header files for the development of libcacard

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson
%meson_build


%install
%meson_install
rm -f %{buildroot}%{_libdir}/*.la

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%license COPYING
%{_libdir}/libcacard.so.*
%exclude %{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_includedir}/cacard/*.h
%{_libdir}/libcacard.so
%{_libdir}/pkgconfig/libcacard.pc

%files help
%defattr(-,root,root)
%doc NEWS ChangeLog README.md

%changelog
* Thu Dec 22 2022 zhouwenpei <zhouwenpei1@h-partners.com> - 41:2.8.0-2
- update epoch to 41

* Fri Jan 29 2021 zhanzhimin <zhanzhimin@huawei.com> - 3:2.8.0-1
- update to 2.8.0

* Fri Aug 21 2020 orange_snn <songnannan2@huawei.com> - 3:2.7.0-4
- delete the check

* Wed Feb 5 2020 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-3
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: enable test cases

* Thu Jan 9 2020 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: optimization the spec

* Sat Oct 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 3:2.7.0-1
- Package init
